//
// C++ Interface: gnetio
//
// Description: 
//
//
// Author: Stefano <stefano@xiaprojects.com>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//
#include "ktn_proc.h"


#ifndef GMAIL_H
#define GMAIL_H

#include <qobject.h>

#include <qstring.h>
#include <qimage.h>
#include <qxml.h>
#include <qdom.h>
#include <qtimer.h>
#include "gpluginsdk.h"
#include <qpixmap.h>
#include <qimage.h>
#include <kiconloader.h>
#include <kdirwatch.h>
#include <kdirlister.h>

class QPixmap;
class gPluginPainter;


/**
@author Stefano
*/
class GNetIO : public gPluginSDK
{
Q_OBJECT
public:
    GNetIO(QObject *parent = 0, const char *name = 0);

    ~GNetIO();

protected:
	//QString			IconsPath;
	//QPixmap			BufferPixmap;
	//QPixmap			BasePixmap;
	QImage				imgBuffer;
	QImage				imgOriginal;
	QImage				imgBackground;
	QImage				imgOffscreen;
	QImage				imgOffscreen2;
	QImage				imgTrans;
	QImage				imgLine;




	bool m_firstTime;
	KTN_Proc proc;
	QString		netWorkDevice;
	QStringList devicesList;
	float rateIn;
	float rateOut;
	float totalIn[10];
	float totalOut[10];
	float Scale;
	int PollingRate;
	int	iMiniText;
	int	dotPitch;
	int	drawDirection;


public slots:
    void xGetParameterList(QStringList *);
    void xPaint(int nEmails);
    void xApplyCfg();
    void xGetParameter(const QString, QString&);
    void xSetupParameter(const QString, const QString);
    void xStart();
    void xStop();
    void polling();

protected:
    void loadImages();
    void loadResources(const QString &);
};

#endif


